TRANSLATE(1)

NAME
translate - looks up for words in a dictionary

SYNOPSIS
translate [options] words

DESCRIPTION
translate looks up for words in a dictionary and translates them. It can handle multiple dictionaries and charsets. It comes with an english-german dictionary and is able to translate in both directions.

OPTIONS

-n  non-interactive (don't prompt if no matches found)

-i  invers lookup (from second to first language)

-w  searches only whole words

-l  languages to translate between

-C  disable (automatic) color highlighting

-v  display version and exit

-h, --help
    display help

EXAMPLE

translate -l en-de simplest

SEE ALSO
ding

FILES
translate's preferred language and is stored in /etc/translate.conf. You can store your private configuration file in ~/.translate/translate.conf. If there are no options in the commandline it uses the default values de-en. It can also create a private dictionary in the ~/.translate/ directory, e.g. ~/.translate/de-en for the default language combination.

AUTHOR
Jochem Huhmann <jochem@revier.com> initially wrote translate. The Debian Project took over maintenance of translate since version 0.6. It is currently maintained by Axel Beckert <abe@debian.org> on https://salsa.debian.org/debian/translate. This manual page was written for the Debian GNU/Linux system (but may be used by others).